#include <iostream>
#include <cmath>

using namespace std;
int main() {
    int brojKomsija, mojBroj;
    cin >> brojKomsija >> mojBroj;

    int najmanji, najveci;
    cin >> najmanji;
    najveci = najmanji;

    /*for (int i = 1; i < brojKomsija; i++) {
        int brojKomsije;
        cin >> brojKomsije;

        if (brojKomsije > najveci) {
            najveci = brojKomsije;
        }

        if (brojKomsije < najmanji) {
            najmanji = brojKomsije;
        }
    }

    if (najmanji > mojBroj) {
        najmanji = mojBroj;
    }

    if (najveci < mojBroj) {
        najveci = mojBroj;
    }

    int odLevo = 0, odDesno = 0;

    if (najmanji < mojBroj) {
        odLevo = abs(najmanji - mojBroj);
    }

    if (najveci > mojBroj) {
        odDesno = abs(najveci - mojBroj);
    }

    cout << odLevo + odDesno + ((odLevo < odDesno) ? odLevo : odDesno);*/
    return 0;
}